% The function "FrequencyFunction" is the function for the first eigenvalue of the beam. 
%------------------------------------------------------------------------
function x_approx=ApproxNaturalFrequency;
global nu eta_r eta_t alpha_p beta_p fct0
lambda=sqrt(nu);
gamma_k = eta_t * lambda ^ 3 * (-eta_r * cos(lambda) + sin(lambda) * lambda) / (-eta_r * lambda ^ 3 * cos(lambda) - eta_r * eta_t * sin(lambda) + lambda ^ 4 * sin(lambda) + lambda * eta_t * eta_r * cos(lambda) - eta_t * sin(lambda) * lambda ^ 2) / 0.3e1;
gamma_m = (33 * eta_r ^ 2 * eta_t ^ 2 + 231 * eta_t ^ 2 * eta_r + 315 * eta_r ^ 2 * eta_t + 420 * eta_t ^ 2 + 1260 * eta_r * eta_t + 1260 * eta_r ^ 2) / (1260 * eta_r ^ 2 + 840 * eta_r ^ 2 * eta_t + 2520 * eta_r * eta_t + 140 * eta_r ^ 2 * eta_t ^ 2 + 840 * eta_t ^ 2 * eta_r + 1260 * eta_t ^ 2);
%x_approx=3*gamma_k/(alpha_p+0.24);
x_approx=3*gamma_k/(alpha_p+gamma_m);